VERSION 5.00
Object = "{1C98F15C-068A-11D4-98C2-00108301CB39}#2.0#0"; "agt3494A.ocx"
Begin VB.Form frmASCIIArb 
   Caption         =   "Arbitrary Waveform - Pulse"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "asciiarb.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin Agt3494ALib.Agt3494A Fgen 
      Left            =   2640
      Top             =   720
      _ExtentX        =   953
      _ExtentY        =   847
      Address         =   "GPIB0::10::INSTR"
   End
   Begin VB.CommandButton cmdASCIIArb 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   960
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmASCIIArb"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdASCIIArb_Click()

    Dim Waveform() As String
    Dim I As Integer
    Dim DataStr As String
    ReDim Waveform(1 To 4000)


    ' This program is and example intended for Microsoft
    ' Visual Basic 6.0 and the Agilent 3494A General Purpose
    ' Instrument Control for MS VB 6.0 that is loaded onto
    ' the computer with IntuiLink Waveform Editor available at
    ' www.agilent.com/find/IntuiLink

    On Error GoTo MyError

    ' This program uses the arbitrary waveform function to
    ' download and output a square wave pulse with a calculated
    ' rise time and fall time.  The waveform consists of 4000
    ' points downloaded to the function generator as ASCII data.

    With Fgen
        .Output "*RST"                                     ' Reset the function generator
        .Output "*CLS"                                     ' Clear errors and status registers
        .Timeout = 40000                                   ' Set timeout to 40 seconds for long download strings
    End With

    ' Compute waveform
    
    txtError.Text = ""
    txtError.SelText = "Computing Waveform..." & vbCrLf

    For I = 1 To 5
        Waveform(I) = Str$((I - 1) / 5)                    ' Set rise time (5 points)
    Next I

    For I = 6 To 205
        Waveform(I) = "1"                                  ' Set pulse width (200 points)
    Next I

    For I = 206 To 210
        Waveform(I) = Str$((210 - I) / 5)                  ' Set fall time (5 points)
    Next I

    For I = 211 To 4000
        Waveform(I) = "0"                                  ' Set remaining points to zero
    Next I

    DataStr = Join(Waveform, ",")                          ' Create string from data array

    ' Download data points to volatile memory

    txtError.SelText = "Downloading Arb..." & vbCrLf

    With Fgen
        .Output "DATA VOLATILE, " & DataStr
    End With

    txtError.SelText = "Download Complete" & vbCrLf

    ' Set up arbitrary waveform and output
    
    With Fgen

        .Output "DATA:COPY PULSE, VOLATILE"                ' Copy arb to non-volatile memory
        .Output "FUNCtion:USER PULSE"                      ' Select the active arb waveform
        .Output "FUNCtion:SHAPe USER"                      ' Output the selected arb waveform

        .Output "OUTPut:LOAD 50"                           ' Output termination is 50 Ohms
        .Output "FREQuency 5000;VOLTage 5"                 ' Output frequency is 5 kHz @ 5 Vpp
        .Output "OUTPut ON"                                ' Enable output

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

