VERSION 5.00
Object = "{1C98F15C-068A-11D4-98C2-00108301CB39}#2.0#0"; "agt3494A.ocx"
Begin VB.Form frmBinaryArb 
   Caption         =   "Arbitrary Waveform - Damped Sine"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmBinaryArb.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin Agt3494ALib.Agt3494A Fgen 
      Left            =   2640
      Top             =   720
      _ExtentX        =   953
      _ExtentY        =   847
      Address         =   "GPIB0::10::INSTR"
   End
   Begin VB.CommandButton cmdBinaryArb 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   960
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmBinaryArb"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdBinaryArb_Click()

    Dim Waveform() As Integer
    Dim I As Integer
    Dim Ncycles As Integer
    Dim Damp_factor As Single
    Dim Value As String
    Dim pi As Single
    ReDim Waveform(1 To 16000)


    ' This program is and example intended for Microsoft
    ' Visual Basic 6.0 and the Agilent 3494A General Purpose
    ' Instrument Control for MS VB 6.0 that is loaded onto
    ' the computer with IntuiLink Waveform Editor available at
    ' www.agilent.com/find/IntuiLink

    On Error GoTo MyError

    ' This program shows how to down load an arbitrary waveform
    ' using binary data.  The program generates a damped sine
    ' wave using 16,000 points.

    With Fgen

        .Timeout = 40000                                   ' Set timeout to 40 seconds for long download strings
        .Output "*RST"                                     ' Reset the function generator
        .Output "FORMat:BORDer NORMal"                     ' Normal data bytes (send MSB first)
        .Output "FREQuency 5000"                           ' Output frequency is 5 kHz
        .Output "OUTPut:LOAD 50"                           ' Output termination is 50 Ohms
        .Output "VOLTage 5"                                ' Output amplitude is 5 Vpp

    End With

    txtError.Text = ""
    txtError.SelText = "Computing Waveform..." & vbCrLf

    Ncycles = 10                                           ' Define number of sinewave cycles
    Damp_factor = -5                                       ' Define damping factor
    pi = 3.14159                                           ' Define pi

    '
    ' Calculate data points
    '


    For I = 1 To 16000
        If I < 14000 Then
            Waveform(I) = (Sin(2 * pi * Ncycles * I / 14000) * 2047)
            Waveform(I) = Waveform(I) * Exp(Damp_factor * I / 14000)
        Else
            Waveform(I) = 0
        End If
    Next I

    ' Download data points to volatile memory from array

    txtError.SelText = "Downloading Arb..." & vbCrLf
    With Fgen
        .WriteIEEEBlock "Data:Dac Volatile,", Waveform, IOControl_BigEndian, IOControl_Short
        .Output "*OPC?"
        .Enter Value
    End With
    txtError.SelText = "Download Complete" & vbCrLf

    With Fgen

        .Output "DATA:COPY DAMP_SINE, VOLATILE"            ' Copy arb to non-volatile memory
        .Output "FUNCtion:USER DAMP_SINE"                  ' Select the active arb waveform
        .Output "FUNCtion:SHAPe USER"                      ' Output the selected arb waveform
        .Output "OUTPut ON"                                ' Enable output

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

