VERSION 5.00
Object = "{1C98F15C-068A-11D4-98C2-00108301CB39}#2.0#0"; "agt3494A.ocx"
Begin VB.Form frmLinearSweep 
   Caption         =   "Linear Sweep"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmLinearSweep.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin Agt3494ALib.Agt3494A Fgen 
      Left            =   2640
      Top             =   720
      _ExtentX        =   953
      _ExtentY        =   847
      Address         =   "GPIB0::10::INSTR"
   End
   Begin VB.CommandButton cmdLinearSweep 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   960
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmLinearSweep"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdLinearSweep_Click()


    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent 3494A General
    ' Purpose Instrument Control for MS VB 6.0 that is loaded
    ' onto the computer with IntuiLink Waveform Editor available
    ' at www.agilent.com/find/IntuiLink

    On Error GoTo MyError

    ' This program sets up a linear sweep using a sinusoid
    ' waveform.  It sets the start and stop frequency and sweep
    ' time.

    With Fgen

        .Output "*RST"                                     ' Reset the function generator
        .Output "*CLS"                                     ' Clear errors and status registers

        .Output "FUNCtion SINusoid"                        ' Select waveshape

        .Output "OUTPut:LOAD 50"                           ' Set the load impedance to 50 Ohms (default)
        .Output "VOLTage 1"                                ' Set the amplitude to 1 Vpp.

        .Output "SWEep:SPACing LINear"                     ' Set Linear or LOGarithmic spacing
        .Output "SWEep:TIME 1"                             ' Sweep time is 1 second
        .Output "FREQuency:STARt 100"                      ' Start frequency is 100 Hz
        .Output "FREQuency:STOP 20e3"                      'Stop frequency is 20 kHz

        ' Frequency sweep limits may also be set as FREQuency:CENTer and FREQuency:SPAN on the 33250A
        ' For the 33250A, also see MARKer:FREQuency

        .Output "OUTPut ON"                                ' Turn on the instrument output
        .Output "SWEep:STATe ON"                           ' Turn sweep on

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub


