VERSION 5.00
Object = "{1C98F15C-068A-11D4-98C2-00108301CB39}#2.0#0"; "agt3494A.ocx"
Begin VB.Form frmPWM 
   Caption         =   "AM and Low Level Commands"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtError 
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Text            =   "- no errors -"
      Top             =   1320
      Width           =   3255
   End
   Begin Agt3494ALib.Agt3494A Fgen 
      Left            =   2760
      Top             =   720
      _ExtentX        =   953
      _ExtentY        =   847
      Address         =   "GPIB0::10::INSTR"
   End
   Begin VB.CommandButton cmdPWM 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   960
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Error Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmPWM"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdPWM_Click()

    ' This program is and example intended for Microsoft
    ' Visual Basic 6.0 and the Agilent 3494A General Purpose
    ' Instrument Control for MS VB 6.0 that is loaded onto
    ' the computer with IntuiLink Waveform Editor available at
    ' www.agilent.com/find/IntuiLink

    On Error GoTo MyError

    ' This program uses low-level SCPI commands to configure
    ' the function gnerator to output an PWM waveform.
    ' The pulse is set up with a duty cycle of 35% and a depth
    ' of 15%, and will vary in width from 20% to 50% with the
    ' modulation.  The pulse may also be configured in time
    ' units (pulse width and deviation) rather than duty cycle
    ' if preferred.

    With Fgen

        .Output "*RST"                           ' Reset the function generator

        .Output "OUTPut:LOAD 50"                 ' Output termination is 50 Ohms
        .Output "FUNCtion:SHAPe PULSe"           ' Carrier waveshape is pulse
        .Output "FREQuency 5000"                 ' Carrier frequency is 5 kHz
        .Output "VOLTage:LOW 0"                  ' Set parameters to 5 V TTL
        .Output "VOLTage:HIGH 5"
        .Output "FUNCtion:PULSe:DCYCle 35"       ' Begin with 35% duty cycle
        
        .Output "PWM:INTernal:FUNCtion TRIangle" ' Modulating waveshape is triangle
        .Output "PWM:INTernal:FREQuency 2"       ' Modulation frequency is 2 Hz
        .Output "PWM:DEViation:DCYCle 15"        ' Modulation depth is 15%
        .Output "PWM:SOURce INTernal"            ' Use internal signal for modulation
        ' If using an external signal for PWM, connect the signal to the rear-panel
        ' BNC and use the command PWM:SOURce EXTernal
        .Output "PWM:STATe ON"                   ' Turn PWM modulation on

        .Output "OUTPut ON"                      ' Turn on the instrument output

    End With

    Exit Sub


MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub
