VERSION 5.00
Object = "{1C98F15C-068A-11D4-98C2-00108301CB39}#2.0#0"; "agt3494A.ocx"
Begin VB.Form frmSquareBurst 
   Caption         =   "Multiple Cycle Burst"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmSquareBurst.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin Agt3494ALib.Agt3494A Fgen 
      Left            =   2640
      Top             =   720
      _ExtentX        =   953
      _ExtentY        =   847
      Address         =   "GPIB0::10::INSTR"
   End
   Begin VB.CommandButton cmdMultiBurst 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   960
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmSquareBurst"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub cmdMultiBurst_Click()

    Dim I As Integer

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent 3494A General
    ' Purpose Instrument Control for MS VB 6.0 that is loaded
    ' onto the computer with IntuiLink Waveform Editor available
    ' at www.agilent.com/find/IntuiLink

    On Error GoTo MyError

    ' This program sets up a triggered burst that outputs three
    ' cycles of a square wave upon receipt of each trigger.  It
    ' will also show how to adjust duty cycle and enable/disable
    ' the SYNC output

    With Fgen

        .Output "*RST"                      ' Reset the function generator
        .Output "*CLS"                      ' Clear errors and status registers

        .Output "OUTPut:SYNC OFF"           ' Disable the SYNC Output
        .Output "FUNCtion SQUare"           ' Select waveshape
        .Output "FUNCtion:SQUare:DCYCle 20" ' 20% duty cycle

        .Output "OUTPut:LOAD 50"            ' Set the load impedance to 50 Ohms (default)
        .Output "VOLTage 1"                 ' Set the amplitude to 1 Vpp.
        .Output "VOLTage:OFFSet 0"          ' Set the offset to 0 V
        .Output "FREQuency 20e3"            ' Frequency at 20 kHz

        .Output "TRIGger:SOURce BUS"        ' Triggers will be received from the I/O bus
        .Output "BURSt:MODE TRIGgered"      ' Triggered burst (rather than GATed)
        .Output "BURSt:NCYCles 3"           ' 3 cycles will be output per trigger
        .Output "BURSt:STATe ON"            ' Enable burst
        
        .Output "OUTPut:SYNC ON"            ' Enable the SYNC Output to trigger oscilloscope
        .Output "OUTPut ON"                 ' Turn on the instrument output
        
        For I = 1 To 20
            .Output "*TRG"                  ' Send bus trigger
            Sleep 100                       ' Wait 100 msec
        Next I
        

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

