VERSION 5.00
Begin VB.Form frmASCIIArb 
   Caption         =   "Arbitrary Waveform - Pulse"
   ClientHeight    =   2400
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3465
   LinkTopic       =   "Form1"
   ScaleHeight     =   2400
   ScaleWidth      =   3465
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIO 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB0::10::INSTR"
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "asciiarb.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdASCIIArb 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblIO 
      Caption         =   "IO Address"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmASCIIArb"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdASCIIArb_Click()

    Dim Waveform() As Double
    Dim I As Integer
    ReDim Waveform(1 To 4000)
    
    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent IVI COM objects.
    '
    ' To use the IO object in another Visual Basic project, set the
    ' reference to include the library in the Project/References menu:
    ' "IVI Agilent33220A (Agilent Technologies) 1.0 Type Library"
    '
    ' Then use a statement such as "Dim Fgen As Agilent33220"
    ' to create the formatted I/O reference and use
    ' "Set Fgen = New Agilent33220" to create the actual object.
    
    Dim Fgen As Agilent33220
    Set Fgen = New Agilent33220
    
    Fgen.Initialize txtIO.Text, True, True
     
    On Error GoTo MyError

    ' This program uses the arbitrary waveform function to
    ' download and output a square wave pulse with a calculated
    ' rise time and fall time.  The waveform consists of 4000
    ' points downloaded to the function generator as ASCII data.

    With Fgen
        .Utility.Reset                       ' Reset the function generator
        .Status.Clear                        ' Clear errors and status registers
        .System.TimeoutMilliseconds = 40000  ' Set timeout to 40 seconds for long download strings
    End With

    ' Compute waveform
    
    txtError.Text = ""
    txtError.SelText = "Computing Waveform..." & vbCrLf

    For I = 1 To 5
        Waveform(I) = (I - 1) / 5            ' Set rise time (5 points)
    Next I

    For I = 6 To 205
        Waveform(I) = 1                      ' Set pulse width (200 points)
    Next I

    For I = 206 To 210
        Waveform(I) = (210 - I) / 5          ' Set fall time (5 points)
    Next I

    For I = 211 To 4000
        Waveform(I) = 0                      ' Set remaining points to zero
    Next I

 '   DataStr = Join(Waveform, ",")           ' Create string from data array

    ' Download data points to volatile memory

    txtError.SelText = "Downloading Arb..." & vbCrLf

    With Fgen
        .ArbitraryWaveform.SetData Waveform
    End With

    txtError.SelText = "Download Complete" & vbCrLf

    ' Set up arbitrary waveform and output
    
    With Fgen

        .ArbitraryWaveform.CopyData "PULSE"  ' Copy arb to non-volatile memory
        .ArbitraryWaveform.User = "PULSE"    ' Select the active arb waveform
        .Output.Function = Agilent33220OutputFunctionUser ' Output the selected arb waveform

        .Output.Load = 50                    ' Output termination is 50 Ohms
        .Output.Frequency = 5000             ' Output frequency is 5 kHz @ 5 Vpp
        .Output.Voltage.Amplitude = 5
        .Output.State = True                 ' Enable Output

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub
