VERSION 5.00
Begin VB.Form frmHaversine 
   Caption         =   "Haversine Burst"
   ClientHeight    =   2280
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3495
   LinkTopic       =   "Form1"
   ScaleHeight     =   2280
   ScaleWidth      =   3495
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIO 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB0::10::INSTR"
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtError 
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Text            =   "- no errors -"
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdHaversine 
      Caption         =   "Setup Instrument and Trigger 1 Cycle"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblIO 
      Caption         =   "IO Address"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Error Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmHaversine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdHaversine_Click()

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent IVI COM objects.
    '
    ' To use the IO object in another Visual Basic project, set the
    ' reference to include the library in the Project/References menu:
    ' "IVI Agilent33220A (Agilent Technologies) 1.0 Type Library"
    '
    ' Then use a statement such as "Dim Fgen As Agilent33220"
    ' to create the formatted I/O reference and use
    ' "Set Fgen = New Agilent33220" to create the actual object.
    
    Dim Fgen As Agilent33220
    Set Fgen = New Agilent33220
    
    Fgen.Initialize txtIO.Text, True, True
     
    On Error GoTo MyError
    
    ' This program sets up a burst waveform with a 270 degree
    ' starting phase.  By adding an offset voltage to the burst,
    ' a "haversine" is created.  This program also shows the use
    ' of a trigger received over the GPIB interface to
    ' initiate a single trigger.

    With Fgen

        .Utility.Reset                          ' Reset the function generator
        .Status.Clear                           ' Clear errors and status registers

        .Output.Load = 50                       ' Output termination is 50 Ohms
        .Apply.SetSinusoid 5000, 5, 0           ' Carrier is 5 kHz sine @ 5 Vpp
        .Burst.NumberOfCycles = 1               ' Burst count is 1 cycle
        .Burst.Phase = 270                      ' Starting phase is 270 degrees
        .Output.Voltage.Offset = 2.5            ' Offset voltage is 2.5 Vdc
        .Trigger.Source = Agilent33220TriggerSourceBus
                                                ' Trigger source is "bus"
        .Burst.State = True                     ' Turn burst modulation On
        .Output.State = True                    ' Turn on the instrument output

        ' Trigger the function generator over the GPIB interface

        .Trigger.SoftwareTrigger                ' Can also use .System.IO.WriteString "*TRG", True
        
    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub
