VERSION 5.00
Begin VB.Form frmLinearSweep 
   Caption         =   "Linear Sweep"
   ClientHeight    =   2385
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3480
   LinkTopic       =   "Form1"
   ScaleHeight     =   2385
   ScaleWidth      =   3480
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIO 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB0::10::INSTR"
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmLinearSweep.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdLinearSweep 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblIO 
      Caption         =   "IO Address"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmLinearSweep"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdLinearSweep_Click()

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent IVI COM objects.
    '
    ' To use the IO object in another Visual Basic project, set the
    ' reference to include the library in the Project/References menu:
    ' "IVI Agilent33220A (Agilent Technologies) 1.0 Type Library"
    '
    ' Then use a statement such as "Dim Fgen As Agilent33220"
    ' to create the formatted I/O reference and use
    ' "Set Fgen = New Agilent33220" to create the actual object.
    
    Dim Fgen As Agilent33220
    Set Fgen = New Agilent33220
    
    Fgen.Initialize txtIO.Text, True, True
     
    On Error GoTo MyError

    ' This program sets up a linear sweep using a sinusoid
    ' waveform.  It sets the start and stop frequency and sweep
    ' time.

    With Fgen

        .Utility.Reset                    ' Reset the function generator
        .Status.Clear                     ' Clear errors and status registers

        .Output.Function = Agilent33220OutputFunctionSinusoid ' Select waveshape

        .Output.Load = 50                 ' Set the load impedance to 50 Ohms (default)
        .Output.Voltage.Amplitude = 1     ' Set the amplitude to 1 Vpp.

        .Sweep.Spacing = Agilent33220SweepSpacingLinear ' Set Linear or LOGarithmic spacing
        .Sweep.Time = 1                   ' Sweep time is 1 second
        .Sweep.Frequency.Start = 100      ' Start frequency is 100 Hz
        .Sweep.Frequency.Stop = 20000#    ' Stop frequency is 20 kHz

        ' Frequency sweep limits may also be set as FREQuency:CENTer and FREQuency:SPAN on the 33220A
        ' For the 33220A, also see MARKer:FREQuency
        '.Sweep.Frequency.Center .Sweep.Frequency.Span and .Sweep.Marker

        .Output.State = True              ' Turn on the instrument output
        .Sweep.State = True               ' Turn sweep on

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub


