VERSION 5.00
Begin VB.Form frmPulse 
   Caption         =   "Pulse with Variable Edges"
   ClientHeight    =   2415
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3465
   LinkTopic       =   "Form1"
   ScaleHeight     =   2415
   ScaleWidth      =   3465
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIO 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB0::10::INSTR"
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmPulse.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdPulse 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblIO 
      Caption         =   "IO Address"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   3255
   End
End
Attribute VB_Name = "frmPulse"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub cmdPulse_Click()

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent IVI COM objects.
    '
    ' To use the IO object in another Visual Basic project, set the
    ' reference to include the library in the Project/References menu:
    ' "IVI Agilent33220A (Agilent Technologies) 1.0 Type Library"
    '
    ' Then use a statement such as "Dim Fgen As Agilent33220"
    ' to create the formatted I/O reference and use
    ' "Set Fgen = New Agilent33220" to create the actual object.
    
    Dim Fgen As Agilent33220
    Set Fgen = New Agilent33220
    
    Fgen.Initialize txtIO.Text, True, True
     
    Dim I As Integer

    On Error GoTo MyError

    ' This program sets up a pulse waveshape and adjusts the edge
    ' time.  It also shows the use of high and low voltage levels
    ' and period.  The edge time is adjusted by 5 nsec increments.

    With Fgen

        .Utility.Reset                      ' Reset the function generator
        .Status.Clear                       ' Clear errors and status registers
        .Output.Function = Agilent33220OutputFunctionPulse                   ' Select pulse waveshape

        .Output.Load = 50                   ' Set the load impedance to 50 Ohms (default)
        .Output.Voltage.Low = 0             ' Low level = 0 V
        .Output.Voltage.High = 0.75         ' High level = .75 V

        .Pulse.Period = 0.001               ' 1 ms intervals
        .Pulse.Width = 0.0001               ' Pulse width is 100 us
        .Pulse.Transition = 0.00000001      ' Edge time is 10 ns (rise time = fall time)
        .Output.State = True                ' Turn on the instrument output

    For I = 0 To 9
        ' Vary edge by 5 nsec steps
        .Pulse.Transition = (0.00000001 + I * 0.000000005)
        Sleep 300                                       ' Wait 300 msec

    Next I

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

