VERSION 5.00
Begin VB.Form frmSquareBurst 
   Caption         =   "Multiple Cycle Burst"
   ClientHeight    =   2400
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3495
   LinkTopic       =   "Form1"
   ScaleHeight     =   2400
   ScaleWidth      =   3495
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIO 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB0::10::INSTR"
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmSquareBurst.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdMultiBurst 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label LblIO 
      Caption         =   "IO Address"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmSquareBurst"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub cmdMultiBurst_Click()

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent IVI COM objects.
    '
    ' To use the IO object in another Visual Basic project, set the
    ' reference to include the library in the Project/References menu:
    ' "IVI Agilent33220A (Agilent Technologies) 1.0 Type Library"
    '
    ' Then use a statement such as "Dim Fgen As Agilent33220"
    ' to create the formatted I/O reference and use
    ' "Set Fgen = New Agilent33220" to create the actual object.
    
    Dim Fgen As Agilent33220
    Set Fgen = New Agilent33220
    
    Fgen.Initialize txtIO.Text, True, True
     
    Dim I As Integer

    On Error GoTo MyError

    ' This program sets up a triggered burst that outputs three
    ' cycles of a square wave upon receipt of each trigger.  It
    ' will also show how to adjust duty cycle and enable/disable
    ' the SYNC output

    With Fgen

        .Utility.Reset                                      ' Reset the function generator
        .Status.Clear                                       ' Clear errors and status registers

        .Output.Sync = False                                ' Disable the SYNC Output
        .Output.Function = Agilent33220OutputFunctionSquare ' Select waveshape
        .Output.SquareDutyCycle = 20                        ' 20% duty cycle

        .Output.Load = 50                                   ' Set the load impedance to 50 Ohms (default)
        .Output.Voltage.Amplitude = 1                       ' Set the amplitude to 1 Vpp.
        .Output.Voltage.Offset = 0                          ' Set the offset to 0 V
        .Output.Frequency = 20000#                          ' Frequency at 20 kHz

        .Trigger.Source = Agilent33220TriggerSourceBus      ' Triggers will be received from the I/O bus
        .Burst.Mode = Agilent33220BurstModeTriggered        ' Triggered burst (rather than GATed)
        .Burst.NumberOfCycles = 3                           ' 3 cycles will be output per trigger
        .Burst.State = True                                 ' Enable burst
        
        .Output.Sync = True                                 ' Enable the SYNC Output to trigger oscilloscope
        .Output.State = True                                ' Turn on the instrument output
        
        For I = 1 To 20
            .Trigger.SoftwareTrigger                        ' Send bus trigger
            Sleep 100                                       ' Wait 100 msec
        Next I
        
    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

