VERSION 5.00
Begin VB.Form frmLowLevel 
   Caption         =   "AM and Low Level Commands"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "10"
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Text            =   "- no errors -"
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdAMLowLevels 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Error Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmLowLevel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdAMLowLevels_Click()

    Dim SCPIcmd As String
    Dim Instrument As Long

    ' This example program is adapted for Microsoft Visual Basic 6.0
    ' and uses the NI-488 I/O Library.  The files Niglobal.bas and
    ' VBIB-32.bas must be loaded in the project.

    On Error GoTo MyError

    ' This program uses low-level SCPI commands to configure
    ' the function gnerator to output an AM waveform.
    ' This program also shows how to use "state storage" to
    ' store the instrument configuration in memory.
    
    Instrument = CInt(txtAddress)
    Call SendIFC(0)
    If (ibsta And EERR) Then
        MsgBox "Unable to communicate with function/arb generator."
        End
    End If

        SCPIcmd = "*RST"                                     ' Reset the function generator
        Call Send(0, Instrument, SCPIcmd, NLend)

        SCPIcmd = "OUTPut:LOAD 50"                           ' Output termination is 50 Ohms
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "FUNCtion:SHAPe SINusoid"                  ' Carrier waveshape is sine wave
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "FREQuency 5000;VOLTage 5"                 ' Carrier frequency is 5 kHz @ 5 Vpp
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "AM:INTernal:FUNCtion SINusoid"            ' Modulating waveshape is sine
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "AM:INTernal:FREQuency 200"                ' Modulation frequency is 200 Hz
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "AM:DEPTh 80"                              ' Modulation depth is 80%
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "AM:STATe ON"                              ' Turn AM modulation on
        Call Send(0, Instrument, SCPIcmd, NLend)

        SCPIcmd = "OUTPut ON"                                ' Turn on the instrument output
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "*SAV 1"                                   ' Store state in memory location 1
        Call Send(0, Instrument, SCPIcmd, NLend)

        ' Use the "*RCL 1" command to recall the stored state

    Call ibonl(Instrument, 0)

    Exit Sub


MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub
