VERSION 5.00
Begin VB.Form frmASCIIArb 
   Caption         =   "Arbitrary Waveform - Pulse"
   ClientHeight    =   2400
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3495
   LinkTopic       =   "Form1"
   ScaleHeight     =   2400
   ScaleWidth      =   3495
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "10"
      Top             =   600
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "asciiarb.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdASCIIArb 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   360
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmASCIIArb"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdASCIIArb_Click()

    Dim Waveform() As String
    Dim I As Integer
    Dim DataStr As String
    ReDim Waveform(1 To 4000)
    Dim SCPIcmd As String
    Dim Instrument As Long
    Dim value As String
    Dim replyString As String * 256


    ' This example program is adapted for Microsoft Visual Basic 6.0
    ' and uses the NI-488 I/O Library.  The files Niglobal.bas and
    ' VBIB-32.bas must be loaded in the project.

    On Error GoTo MyError

    ' This program uses the arbitrary waveform function to
    ' download and output a square wave pulse with a calculated
    ' rise time and fall time.  The waveform consists of 4000
    ' points downloaded to the function generator as ASCII data.

    Instrument = CInt(txtAddress)
    Call SendIFC(0)
    If (ibsta And EERR) Then
        MsgBox "Unable to communicate with function/arb generator."
        End
    End If

            Call iltmo(0, 0)                                     ' Disable timeout

            SCPIcmd = "*RST"                                     ' Reset the function generator
            Call Send(0, Instrument, SCPIcmd, NLend)
            SCPIcmd = "*CLS"                                     ' Clear errors and status registers
            Call Send(0, Instrument, SCPIcmd, NLend)

    ' Compute waveform
    
    txtError.Text = ""
    txtError.SelText = "Computing Waveform..." & vbCrLf

    For I = 1 To 5
        Waveform(I) = Str$((I - 1) / 5)                    ' Set rise time (5 points)
    Next I

    For I = 6 To 205
        Waveform(I) = "1"                                  ' Set pulse width (200 points)
    Next I

    For I = 206 To 210
        Waveform(I) = Str$((210 - I) / 5)                  ' Set fall time (5 points)
    Next I

    For I = 211 To UBound(Waveform)
        Waveform(I) = "0"                                  ' Set remaining points to zero
    Next I

    DataStr = Join(Waveform, ",")                          ' Create string from data array

    ' Download data points to volatile memory

    txtError.SelText = "Downloading Arb..." & vbCrLf

            SCPIcmd = "DATA VOLATILE, " & DataStr
            Call Send(0, Instrument, SCPIcmd, NLend)
            
    txtError.SelText = "Download Complete" & vbCrLf

    ' Set up arbitrary waveform and output

            SCPIcmd = "DATA:COPY PULSE, VOLATILE"                ' Copy arb to non-volatile memory
            Call Send(0, Instrument, SCPIcmd, NLend)
            SCPIcmd = "FUNCtion:USER PULSE"                      ' Select the active arb waveform
            Call Send(0, Instrument, SCPIcmd, NLend)
            SCPIcmd = "FUNCtion:SHAPe USER"                      ' Output the selected arb waveform
            Call Send(0, Instrument, SCPIcmd, NLend)

            SCPIcmd = "OUTPut:LOAD 50"                           ' Output termination is 50 Ohms
            Call Send(0, Instrument, SCPIcmd, NLend)
            SCPIcmd = "FREQuency 5000;VOLTage 5"                 ' Output frequency is 5 kHz @ 5 Vpp
            Call Send(0, Instrument, SCPIcmd, NLend)
            SCPIcmd = "OUTPut ON"                                ' Enable output
            Call Send(0, Instrument, SCPIcmd, NLend)
            
    Call ibonl(Instrument, 0)

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next
    
End Sub
