VERSION 5.00
Begin VB.Form frmPulse 
   Caption         =   "Pulse with Variable Edges"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "10"
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmPulse.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdPulse 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmPulse"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub cmdPulse_Click()


    Dim I As Integer
    Dim SCPIcmd As String
    Dim Instrument As Long

    ' This example program is adapted for Microsoft Visual Basic 6.0
    ' and uses the NI-488 I/O Library.  The files Niglobal.bas and
    ' VBIB-32.bas must be loaded in the project.

    On Error GoTo MyError

    ' This program sets up a pulse waveshape and adjusts the edge
    ' time.  It also shows the use of high and low voltage levels
    ' and period.  The edge time is adjusted by 5 nsec increments.

    Instrument = CInt(txtAddress)
    Call SendIFC(0)
    If (ibsta And EERR) Then
        MsgBox "Unable to communicate with function/arb generator."
        End
    End If
    
    SCPIcmd = "*RST"                                       ' Reset the function generator
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "*CLS"                                       ' Clear errors and status registers
    Call Send(0, Instrument, SCPIcmd, NLend)

    SCPIcmd = "FUNCtion PULSe"                             ' Select pulse waveshape
    Call Send(0, Instrument, SCPIcmd, NLend)

    SCPIcmd = "OUTPut:LOAD 50"                             ' Set the load impedance to 50 Ohms (default)
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "VOLTage:LOW 0"                              ' Low level = 0 V
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "VOLTage:HIGH 0.75"                          ' High level = .75 V
    Call Send(0, Instrument, SCPIcmd, NLend)

    SCPIcmd = "PULSe:PERiod 1e-3"                          ' 1 ms intervals
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "PULSe:WIDTh 100e-6"                         ' Pulse width is 100 us
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "PULSe:TRANsition 10e-9"                     ' Edge time is 10 ns (rise time = fall time)
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "OUTPut ON"                                  ' Turn on the instrument output
    Call Send(0, Instrument, SCPIcmd, NLend)

    For I = 0 To 18
        ' Vary edge by 5 nsec steps
        SCPIcmd = "PULSe:TRANsition " & (0.00000001 + I * 0.000000005)
        Call Send(0, Instrument, SCPIcmd, NLend)
        Sleep 300                                          ' Wait 300 msec

    Next I

    Call ibonl(Instrument, 0)

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

