VERSION 5.00
Begin VB.Form frmPWM 
   Caption         =   "AM and Low Level Commands"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "10"
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Text            =   "- no errors -"
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdPWM 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Error Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmPWM"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdPWM_Click()

    Dim SCPIcmd As String
    Dim Instrument As Long

    ' This example program is adapted for Microsoft Visual Basic 6.0
    ' and uses the NI-488 I/O Library.  The files Niglobal.bas and
    ' VBIB-32.bas must be loaded in the project.

    On Error GoTo MyError

    ' This program uses low-level SCPI commands to configure
    ' the function gnerator to output an PWM waveform.
    ' The pulse is set up with a duty cycle of 35% and a depth
    ' of 15%, and will vary in width from 20% to 50% with the
    ' modulation.  The pulse may also be configured in time
    ' units (pulse width and deviation) rather than duty cycle
    ' if preferred.
    
    Instrument = CInt(txtAddress)
    Call SendIFC(0)
    If (ibsta And EERR) Then
        MsgBox "Unable to communicate with function/arb generator."
        End
    End If

        SCPIcmd = "*RST"                            ' Reset the function generator
        Call Send(0, Instrument, SCPIcmd, NLend)

        SCPIcmd = "OUTPut:LOAD 50"                  ' Output termination is 50 Ohms
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "FUNCtion:SHAPe PULSe"            ' Carrier waveshape is pulse
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "FREQuency 5000"                  ' Carrier frequency is 5 kHz
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "VOLTage:LOW 0"                   ' Set parameters to 5 V TTL
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "VOLTage:HIGH 5"
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "FUNCtion:PULSe:DCYCle 35"        ' Begin with 35% duty cycle
        Call Send(0, Instrument, SCPIcmd, NLend)

        SCPIcmd = "PWM:INTernal:FUNCtion TRIangle"  ' Modulating waveshape is triangle
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "PWM:INTernal:FREQuency 2"        ' Modulation frequency is 2 Hz
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "PWM:DEViation:DCYCle 15"         ' Modulation depth is 15%
        Call Send(0, Instrument, SCPIcmd, NLend)
        SCPIcmd = "PWM:SOURce INTernal"             ' Use internal signal for modulation
        Call Send(0, Instrument, SCPIcmd, NLend)
        ' If using an external signal for PWM, connect the signal to the rear-panel
        ' BNC and use the command PWM:SOURce EXTernal
        SCPIcmd = "PWM:STATe ON"                    ' Turn PWM modulation on
        Call Send(0, Instrument, SCPIcmd, NLend)

        SCPIcmd = "OUTPut ON"                       ' Turn on the instrument output
        Call Send(0, Instrument, SCPIcmd, NLend)

    Call ibonl(Instrument, 0)

    Exit Sub


MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub
