VERSION 5.00
Begin VB.Form frmSquareBurst 
   Caption         =   "Multiple Cycle Burst"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "10"
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmSquareBurst.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdMultiBurst 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmSquareBurst"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub cmdMultiBurst_Click()

    Dim I As Integer
    Dim SCPIcmd As String
    Dim Instrument As Long

    ' This example program is adapted for Microsoft Visual Basic 6.0
    ' and uses the NI-488 I/O Library.  The files Niglobal.bas and
    ' VBIB-32.bas must be loaded in the project.

    On Error GoTo MyError

    ' This program sets up a triggered burst that outputs three
    ' cycles of a square wave upon receipt of each trigger.  It
    ' will also show how to adjust duty cycle and enable/disable
    ' the SYNC output
    
    Instrument = CInt(txtAddress)
    Call SendIFC(0)
    If (ibsta And EERR) Then
        MsgBox "Unable to communicate with function/arb generator."
        End
    End If

    SCPIcmd = "*RST"                                       ' Reset the function generator
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "*CLS"                                       ' Clear errors and status registers
    Call Send(0, Instrument, SCPIcmd, NLend)

    SCPIcmd = "OUTPut:SYNC OFF"                            ' Disable the SYNC Output
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "FUNCtion SQUare"                            ' Select waveshape
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "FUNCtion:SQUare:DCYCle 20"                  ' 20% duty cycle
    Call Send(0, Instrument, SCPIcmd, NLend)

    SCPIcmd = "OUTPut:LOAD 50"                             ' Set the load impedance to 50 Ohms (default)
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "VOLTage 1"                                  ' Set the amplitude to 1 Vpp.
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "VOLTage:OFFSet 0"                           ' Set the offset to 0 V
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "FREQuency 20e3"                             ' Frequency at 20 kHz
    Call Send(0, Instrument, SCPIcmd, NLend)

    SCPIcmd = "TRIGger:SOURce BUS"                         ' Triggers will be received from the I/O bus
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "BURSt:MODE TRIGgered"                       ' Triggered burst (rather than GATed)
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "BURSt:NCYCles 3"                            ' 3 cycles will be output per trigger
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "BURSt:STATe ON"                             ' Enable burst
    Call Send(0, Instrument, SCPIcmd, NLend)

    SCPIcmd = "OUTPut:SYNC ON"                             ' Enable the SYNC Output to trigger oscilloscope
    Call Send(0, Instrument, SCPIcmd, NLend)
    SCPIcmd = "OUTPut ON"                                  ' Turn on the instrument output
    Call Send(0, Instrument, SCPIcmd, NLend)

    For I = 1 To 20
        SCPIcmd = "*TRG"                                   ' Send bus trigger
        Call Send(0, Instrument, SCPIcmd, NLend)
        Sleep 100                                          ' Wait 100 msec
    Next I

    Call ibonl(Instrument, 0)

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

