VERSION 5.00
Begin VB.Form frmWaveform 
   Caption         =   "Setup Waveform"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIO 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB0::10::INSTR"
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmWaveform.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdSimpleSine 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label LblIO 
      Caption         =   "IO Address"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   3255
   End
End
Attribute VB_Name = "frmWaveform"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdSimpleSine_Click()

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent VISA COM objects.
    '
    ' To use the IO object in another Visual Basic project, set the
    ' reference to include the libraries in the Project/References menu:
    ' "VISA COM 1.0 Type Library", corresponds to VISACOM.tlb
    ' "Agilent VISA COM Resource Manager 1.0", corresponds to AgtRM.DLL
    ' "VISA COM 488.2 Formatted I/O 1.0", corresponds to the BasicFormattedIO.dll
    '
    ' Then use a statement such as "Dim Fgen As VisaComLib.FormattedIO488"
    ' to create the formatted I/O reference and use
    ' "Set Fgen = New VisaComLib.FormattedIO488" to create the actual object.

    Dim io_mgr As VisaComLib.ResourceManager
    Dim Fgen As VisaComLib.FormattedIO488

    Set io_mgr = New AgilentRMLib.SRMCls
    Set Fgen = New VisaComLib.FormattedIO488
    Set Fgen.IO = io_mgr.Open(txtIO.Text)
    
    On Error GoTo MyError

    ' This program sets up a waveform by selecting the waveshape
    ' and adjusting the frequency, amplitude, and offset.

    With Fgen

        .WriteString "*RST"                     ' Reset the function generator
        .IO.Clear                               ' Clear errors and status registers

        .WriteString "FUNCtion SINusoid"        ' Select waveshape
        ' Other options are SQUare, RAMP, PULSe, NOISe, DC, and USER
        .WriteString "OUTPut:LOAD 50"           ' Set the load impedance in Ohms (50 Ohms default)
        ' May also be INFinity, as when using oscilloscope or DMM

        .WriteString "FREQuency 2500"           ' Set the frequency.
        .WriteString "VOLTage 1.2"              ' Set the amplitude in Vpp.  Also see VOLTage:UNIT
        .WriteString "VOLTage:OFFSet 0.4"       ' Set the offset in Volts
        ' Voltage may also be set as VOLTage:HIGH and VOLTage:LOW for low level and high level

        .WriteString "OUTPut ON"                ' Turn on the instrument output

    End With
    
    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub


