VERSION 5.00
Begin VB.Form frmLowLevel 
   Caption         =   "AM and Low Level Commands"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "GPIB::10::INSTR"
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Text            =   "- no errors -"
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdAMLowLevels 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Error Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmLowLevel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdAMLowLevels_Click()

    Dim address As String
    Dim InstOutput As Long
    Dim vi As Long

    address = txtAddress.Text                              ' Instrument GPIB address
    InstOutput = ag33250a_init(address, 1, 0, vi)

    ' This program requires the VISA revision 2.0 and the
    ' Agilent Technologies 33250A instrument driver installed.

    On Error GoTo MyError

    ' This program uses low-level SCPI commands to configure
    ' the function gnerator to output an AM waveform.
    ' This program also shows how to use "state storage" to
    ' store the instrument configuration in memory.


    InstOutput = ag33250a_reset(vi)                                 ' Reset the function generator
    InstOutput = ag33250a_dcl(vi)                                   ' Clear errors and status registers

    InstOutput = ag33250a_outpLoad(vi, ag33250a_OUTPUT_LOAD_50)     ' Output termination is 50 Ohms
    InstOutput = ag33250a_funcShap(vi, ag33250a_OUTPUT_FUNC_SIN)    ' Carrier waveshape is sine wave

    InstOutput = ag33250a_freq(vi, 5000)                            ' Carrier frequency is 5 kHz @ 5 Vpp
    InstOutput = ag33250a_volt(vi, 5)

    InstOutput = ag33250a_amIntFunc(vi, ag33250a_AMP_INT_FUNC_SIN)  ' Modulating waveshape is sine
    InstOutput = ag33250a_amIntFreq(vi, 200)                        ' Modulation frequency is 200 Hz
    InstOutput = ag33250a_amDept(vi, 80)                            ' Modulation depth is 80%
    InstOutput = ag33250a_amState(vi, ag33250a_AMP_STAT_ON)         ' Turn AM modulation on

    InstOutput = ag33250a_outpSetup(vi, ag33250a_OUTPUT_SETUP_ON)   ' Turn on the instrument output

    InstOutput = ag33250a_sav(vi, 1)                                ' Store state in memory location 1
    ' Use the ag33250a_rcl command to recall the stored state

    InstOutput = ag33250a_close(vi)

    Exit Sub


MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub
