VERSION 5.00
Begin VB.Form frmASCIIArb 
   Caption         =   "Arbitrary Waveform - Pulse"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "GPIB::10::INSTR"
      Top             =   600
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "asciiarb.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdASCIIArb 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   360
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmASCIIArb"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdASCIIArb_Click()

    Dim Waveform() As Double
    Dim I As Integer
    ReDim Waveform(1 To 4000)
    Dim address As String
    Dim InstOutput As Long
    Dim vi As Long
    Dim vi2 As Long

    address = txtAddress.Text                                       ' Instrument GPIB address
    InstOutput = ag33250a_init(address, 1, 0, vi)
    
    ' This program is an example program adapted for Microsoft
    ' Visual Basic 6.0 and requires the VISA revision 2.0 and the
    ' Agilent Technologies 33250A instrument driver installed.

    On Error GoTo MyError

    ' This program uses the arbitrary waveform function to
    ' download and output a square wave pulse with a calculated
    ' rise time and fall time.  The waveform consists of 4000
    ' points downloaded to the function generator as ASCII data.


    InstOutput = ag33250a_reset(vi)                                 ' Reset the function generator
    InstOutput = ag33250a_dcl(vi)                                   ' Clear errors and status registers

    ' Compute waveform

    txtError.Text = ""
    txtError.SelText = "Computing Waveform..." & vbCrLf

    For I = 1 To 5
        Waveform(I) = ((I - 1) / 5)                                 ' Set rise time (5 points)
    Next I

    For I = 6 To 205
        Waveform(I) = 1                                             ' Set pulse width (200 points)
    Next I

    For I = 206 To 210
        Waveform(I) = ((210 - I) / 5)                               ' Set fall time (5 points)
    Next I

    For I = 211 To 4000
        Waveform(I) = 0                                             ' Set remaining points to zero
    Next I

    ' Download data points to volatile memory

    txtError.SelText = "Downloading Arb..." & vbCrLf

    InstOutput = ag33250a_dataVolatile(vi, UBound(Waveform), Waveform(1))

    txtError.SelText = "Download Complete" & vbCrLf

    ' Set up arbitrary waveform and output

    InstOutput = ag33250a_dataCopy(vi, "PULSE")                     ' Copy arb to non-volatile memory
    InstOutput = ag33250a_funcUserName(vi, "PULSE")                ' Select the active arb waveform
    InstOutput = ag33250a_funcShap(vi, ag33250a_OUTPUT_FUNC_USER)   ' Output the selected arb waveform

    InstOutput = ag33250a_outpLoad(vi, ag33250a_OUTPUT_LOAD_50)     ' Output termination is 50 Ohms
    InstOutput = ag33250a_freq(vi, 5000)                            ' Output frequency is 5 kHz @ 5 Vpp
    InstOutput = ag33250a_volt(vi, 5)
    InstOutput = ag33250a_outpSetup(vi, ag33250a_OUTPUT_SETUP_ON)   ' Enable output

    InstOutput = ag33250a_close(vi)

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

