VERSION 5.00
Begin VB.Form frmHaversine 
   Caption         =   "Haversine Burst"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3645
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   3645
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB::10::INSTR"
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Text            =   "- no errors -"
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdHaversine 
      Caption         =   "Setup Instrument and Trigger 1 Cycle"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Error Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmHaversine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdHaversine_Click()

    Dim address As String
    Dim InstOutput As Long
    Dim vi As Long

    address = txtAddress.Text                                       ' Instrument GPIB address
    InstOutput = ag33250a_init(address, 1, 0, vi)                   ' This funcion initializes the instrument

    ' This program requires the VISA revision 2.0 and the
    ' Agilent Technologies 33250A instrument driver installed.

    On Error GoTo MyError

    ' This program sets up a burst waveform with a 270 degree
    ' starting phase.  By adding an offset voltage to the burst,
    ' a "haversine" is created.  This program also shows the use
    ' of a trigger received over the GPIB interface to
    ' initiate a single trigger.


    InstOutput = ag33250a_reset(vi)                                  ' Reset the function generator
    InstOutput = ag33250a_dcl(vi)                                    ' Clear errors and status registers

    InstOutput = ag33250a_outpLoad(vi, ag33250a_OUTPUT_LOAD_50)      ' Output termination is 50 Ohms
    InstOutput = ag33250a_appl(vi, ag33250a_APPL_SIN, 5000, 5, 0)    ' Carrier is 5 kHz sine @ 5 Vpp

    InstOutput = ag33250a_bmNcyc(vi, 1)                              ' Burst count is 1 cycle
    InstOutput = ag33250a_bmPhas(vi, 270)                            ' Starting phase is 270 degrees

    InstOutput = ag33250a_voltOffs(vi, 2.5)                          ' Offset voltage is 2.5 Vdc

    InstOutput = ag33250a_trigSour(vi, ag33250a_TRIGGER_SOUR_BUS)    ' Trigger source is "bus"
    InstOutput = ag33250a_bmStat(vi, ag33250a_BM_STAT_ON)            ' Turn burst modulation On
    InstOutput = ag33250a_outpSetup(vi, ag33250a_OUTPUT_SETUP_ON)    ' Turn on the instrument output

    ' Trigger the function generator over the GPIB interface

    InstOutput = ag33250a_trg(vi)

    InstOutput = ag33250a_close(vi)

    Exit Sub


MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub


