VERSION 5.00
Begin VB.Form frmPulse 
   Caption         =   "Pulse with Variable Edges"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "GPIB::10::INSTR"
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmPulse.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdPulse 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmPulse"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub cmdPulse_Click()


    Dim I As Integer
    Dim address As String
    Dim InstOutput As Long
    Dim vi As Long

    address = txtAddress.Text                                           ' Instrument GPIB address
    InstOutput = ag33250a_init(address, 1, 0, vi)

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and requires the VISA revision 2.0
    ' and the Agilent Technologies 33250A instrument driver installed.

    On Error GoTo MyError

    ' This program sets up a pulse waveshape and adjusts the edge
    ' time.  It also shows the use of high and low voltage levels
    ' and period.  The edge time is adjusted by 5 nsec increments.

    InstOutput = ag33250a_reset(vi)                                     ' Reset the function generator
    InstOutput = ag33250a_dcl(vi)                                       ' Clear errors and status registers

    InstOutput = ag33250a_funcShap(vi, ag33250a_OUTPUT_FUNC_PULS)       ' Select pulse waveshape

    InstOutput = ag33250a_outpLoad(vi, ag33250a_OUTPUT_LOAD_50)         ' Set the load impedance to 50 Ohms (default)
    InstOutput = ag33250a_voltLow(vi, 0)                                ' Low level = 0 V, High level = .75 V
    InstOutput = ag33250a_voltHigh(vi, 0.75)

    InstOutput = ag33250a_pulsePeriod(vi, 0.001)                        ' 1 ms intervals
    InstOutput = ag33250a_pulseWidth(vi, 0.0001)                        ' Pulse width is 100 us
    InstOutput = ag33250a_pulseTrans(vi, 0.00000001)                    ' Edge time is 10 ns (rise time = fall time)
    InstOutput = ag33250a_outpSetup(vi, ag33250a_OUTPUT_SETUP_ON)       ' Turn on the instrument output

    For I = 0 To 18

        InstOutput = ag33250a_pulseTrans(vi, (0.00000001 + I * 0.000000005))
                                                                        ' Vary edge by 5 nsec steps
        Sleep 300                                                       ' Wait 300 msec

    Next I

    InstOutput = ag33250a_close(vi)

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

