VERSION 5.00
Begin VB.Form frmPWM 
   Caption         =   "AM and Low Level Commands"
   ClientHeight    =   2670
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtAddress 
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "GPIB::10::INSTR"
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox txtError 
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Text            =   "- no errors -"
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdPWM 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblGPIB 
      Caption         =   "GPIB Address:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lblError 
      Caption         =   "Error Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2295
   End
End
Attribute VB_Name = "frmPWM"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2002 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Sub cmdPWM_Click()

    Dim address As String
    Dim InstOutput As Long
    Dim vi As Long

    address = txtAddress.Text                              ' Instrument GPIB address
    InstOutput = ag33250a_init(address, 1, 0, vi)

    ' This program requires the VISA revision 2.0 and the
    ' Agilent Technologies 33250A instrument driver installed.

    On Error GoTo MyError

    ' This program uses low-level SCPI commands to configure
    ' the function gnerator to output an PWM waveform.
    ' The pulse is set up with a duty cycle of 35% and a depth
    ' of 15%, and will vary in width from 20% to 50% with the
    ' modulation.  The pulse may also be configured in time
    ' units (pulse width and deviation) rather than duty cycle
    ' if preferred.

    InstOutput = ag33250a_reset(vi)                                 ' Reset the function generator
    InstOutput = ag33250a_dcl(vi)                                   ' Clear errors and status registers

    InstOutput = ag33250a_outpLoad(vi, ag33250a_OUTPUT_LOAD_50)     ' Output termination is 50 Ohms
    InstOutput = ag33250a_funcShap(vi, ag33250a_OUTPUT_FUNC_PULS)   ' Carrier waveshape is pulse
    InstOutput = ag33250a_freq(vi, 5000)                            ' Carrier frequency is 5 kHz
    InstOutput = ag33250a_voltLow(vi, 0)                            ' Set parameters to 5 V TTL
    InstOutput = ag33250a_voltHigh(vi, 5)
    
    ' Configure PWM using passthrough functions
    InstOutput = ag33250a_cmdString(vi, "FUNCtion:PULSe:DCYCle", "35")       ' Begin with 35% duty cycle
    InstOutput = ag33250a_cmdString(vi, "PWM:INTernal:FUNCtion", "TRIangle") ' Modulating waveshape is triangle
    InstOutput = ag33250a_cmdString(vi, "PWM:INTernal:FREQuency", "2")       ' Modulation frequency is 2 Hz
    InstOutput = ag33250a_cmdString(vi, "PWM:DEViation:DCYCle", "15")        ' Modulation depth is 15%
    InstOutput = ag33250a_cmdString(vi, "PWM:SOURce", "INTernal")            ' Use internal signal for modulation
    ' If using an external signal for PWM, connect the signal to the rear-panel
    ' BNC and use the command PWM:SOURce EXTernal
    InstOutput = ag33250a_cmdString(vi, "PWM:STATe", "ON")
    
    InstOutput = ag33250a_outpSetup(vi, ag33250a_OUTPUT_SETUP_ON)   ' Turn on the instrument output

    InstOutput = ag33250a_close(vi)

    Exit Sub


MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub
